unpack200(1)

Name
unpack200 - JAR Unpacking tool

SYNOPSIS

unpack200 [ options ] input-file JAR-file

Options may be in any order. The last option on the command line supersedes all previously specified options.

    input-file
        Name of the input file, which can be a pack200 gzip file or a pack200 file. The input could also be JAR file produced by pack200(1) with an effort of 0. In this case the contents of the input file will be copied to the output JAR file with the Pack200 marker.

    JAR-file
        Name of the output JAR file.

DESCRIPTION

unpack200 is a native implementation that transforms a packed file produced by pack200(1) into a JAR file. Typical usage:

% unpack200 myarchive.pack.gz myarchive.jar

In this example, the myarchive.jar is produced from myarchive.pack.gz using the default unpack200 settings.

OPTIONS

-Hvalue --deflate-hint=value

Sets the deflation to be true, false, or keep on all entries within a JAR file. The default mode is keep. If true or false, overrides the default behavior and sets the deflation mode on all entries within the output JAR file.

-r --remove-pack-file

Removes the input packed file.

-v --verbose

Outputs minimal messages. Multiple specification of this option will output more verbose messages.

-q --quiet

Specifies quiet operation with no messages.

-lfilename --log-file=filename

Specifies a log file to output messages.

-? -h --help

Prints help information about this command.

-V --version

Prints version information about this command.

-Joption

Passes option to the Java launcher called by unpack200.

EXIT STATUS

The following exit values are returned:

0 if successful completion;

>0 if an error occurred.

SEE ALSO

    o   pack200(1)

    o   Java SE Documentation @
        http://docs.oracle.com/javase/7/docs/index.html

    o   Java Deployment Guide - Pack200 @
        http://docs.oracle.com/javase/7/docs/technotes/guides/deployment/deployment-guide/pack200.html

    o   jar(1) - Java Archive Tool

    o   jarsigner(1) - JAR Signer tool

    o   attributes(5) man page

NOTES

This command should not be confused with unpack(1). They are distinctly separate products.

The Java SE API Specification provided with the JDK is the superseding authority, in case of discrepancies.